## ros-melodic-gripper-action-controller 0.17.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(gripper_action_controller)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

find_package(catkin
  REQUIRED COMPONENTS
      actionlib
      angles
      cmake_modules
      controller_interface
      controller_manager
      control_msgs
      control_toolbox
      hardware_interface
      realtime_tools
      roscpp
      trajectory_msgs
      urdf
      xacro
      pluginlib
)

catkin_package(
INCLUDE_DIRS include
LIBRARIES gripper_action_controller
CATKIN_DEPENDS
  actionlib
  cmake_modules
  controller_interface
  control_msgs
  hardware_interface
  realtime_tools
  trajectory_msgs
)

include_directories(
  include ${catkin_INCLUDE_DIRS}
)

add_library(gripper_action_controller
   src/gripper_action_controller.cpp
   include/gripper_action_controller/gripper_action_controller.h
)

target_link_libraries(gripper_action_controller
 ${catkin_LIBRARIES}
)

# Install library
install(TARGETS gripper_action_controller
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(FILES ros_control_plugins.xml
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-gripper-action-controller (0.17.1-1stretch) stretch; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sat, 05 Dec 2020 00:00:00 -0000

ros-melodic-gripper-action-controller (0.17.0-1stretch) stretch; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 11 May 2020 23:00:00 -0000

ros-melodic-gripper-action-controller (0.16.1-1stretch) stretch; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sun, 26 Apr 2020 23:00:00 -0000

ros-melodic-gripper-action-controller (0.16.0-1stretch) stretch; urgency=high

  * Bump CMake version to prevent CMP0048
  * Replace header guard with #pragma once
  * Contributors: Matt Reynolds

 -- Sachin Chitta <robot.moveit@gmail.com>  Wed, 15 Apr 2020 23:00:00 -0000

ros-melodic-gripper-action-controller (0.15.1-1stretch) stretch; urgency=high

  * Use nullptr
  * add missing pluginlib deps.
  * Contributors: Bence Magyar, Matt Reynolds, Sean Yen

 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 09 Mar 2020 00:00:00 -0000

ros-melodic-gripper-action-controller (0.15.0-1stretch) stretch; urgency=high

  * Default all controller builds to C++14
  * Use range-based for loops wherever possible
  * boost::shared_ptr -> std::shared_ptr
  * fix install destination for libraries (#403 <https://github.com/ros-controls/ros_controllers/issues/403>)
  * Contributors: Bence Magyar, Gennaro Raiola, James Xu

 -- Sachin Chitta <robot.moveit@gmail.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-melodic-gripper-action-controller (0.14.3-1stretch) stretch; urgency=high

  * Use a copy of the pointer in update() to avoid crash by cancelCB()
  * Contributors: oka

 -- Sachin Chitta <robot.moveit@gmail.com>  Sat, 09 Feb 2019 00:00:00 -0000

ros-melodic-gripper-action-controller (0.14.2-1stretch) stretch; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 22 Oct 2018 23:00:00 -0000

ros-melodic-gripper-action-controller (0.14.1-1stretch) stretch; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 25 Jun 2018 23:00:00 -0000

ros-melodic-gripper-action-controller (0.14.0-1stretch) stretch; urgency=high

  * migrate to new pluginlib headers
  * Contributors: Mathias Lüdtke

 -- Sachin Chitta <robot.moveit@gmail.com>  Thu, 26 Apr 2018 23:00:00 -0000

ros-melodic-gripper-action-controller (0.13.2-1stretch) stretch; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-melodic-gripper-action-controller (0.13.1-1stretch) stretch; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 06 Nov 2017 00:00:00 -0000

ros-melodic-gripper-action-controller (0.13.0-1stretch) stretch; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Wed, 09 Aug 2017 23:00:00 -0000

ros-melodic-gripper-action-controller (0.12.3-1stretch) stretch; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sat, 22 Apr 2017 23:00:00 -0000

ros-melodic-gripper-action-controller (0.12.2-1stretch) stretch; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Thu, 20 Apr 2017 23:00:00 -0000

ros-melodic-gripper-action-controller (0.12.1-1stretch) stretch; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Wed, 08 Mar 2017 00:00:00 -0000

ros-melodic-gripper-action-controller (0.12.0-1stretch) stretch; urgency=high

  * Fix most catkin lint issues
  * Change for format2
  * Add Enrique and Bence to maintainers
  * urdf::Model typedefs had to be added to a different repo first
  * Replace boost::shared_ptr<urdf::XY> with urdf::XYConstSharedPtr when exists
  * Contributors: Bence Magyar

 -- Sachin Chitta <robot.moveit@gmail.com>  Wed, 15 Feb 2017 00:00:00 -0000

ros-melodic-gripper-action-controller (0.11.2-1stretch) stretch; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 15 Aug 2016 23:00:00 -0000

ros-melodic-gripper-action-controller (0.11.1-1stretch) stretch; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sun, 22 May 2016 23:00:00 -0000

ros-melodic-gripper-action-controller (0.11.0-1stretch) stretch; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 02 May 2016 23:00:00 -0000

ros-melodic-gripper-action-controller (0.10.0-1stretch) stretch; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Fri, 20 Nov 2015 00:00:00 -0000

ros-melodic-gripper-action-controller (0.9.2-1stretch) stretch; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sun, 03 May 2015 23:00:00 -0000

ros-melodic-gripper-action-controller (0.9.1-1stretch) stretch; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-melodic-gripper-action-controller (0.9.0-1stretch) stretch; urgency=high

  * Buildsystem fixes
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Lukas Bulwahn

 -- Sachin Chitta <robot.moveit@gmail.com>  Fri, 31 Oct 2014 00:00:00 -0000

ros-melodic-gripper-action-controller (0.8.1-1stretch) stretch; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Thu, 10 Jul 2014 23:00:00 -0000

ros-melodic-gripper-action-controller (0.8.0-1stretch) stretch; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sun, 11 May 2014 23:00:00 -0000

ros-melodic-gripper-action-controller (0.7.2-1stretch) stretch; urgency=high

  * Added missing deps to package.xml
  * Contributors: Scott K Logan

 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 31 Mar 2014 23:00:00 -0000

ros-melodic-gripper-action-controller (0.7.1-1stretch) stretch; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sun, 30 Mar 2014 23:00:00 -0000

ros-melodic-gripper-action-controller (0.7.0-1stretch) stretch; urgency=high

  * gripper_action_controller: New controller for single dof grippers.
  * Contributors: Sachin Chitta.

 -- Sachin Chitta <robot.moveit@gmail.com>  Fri, 28 Mar 2014 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-gripper-action-controller
Section: misc
Priority: optional
Maintainer: Sachin Chitta <robot.moveit@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-actionlib, ros-melodic-angles, ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-control-msgs, ros-melodic-control-toolbox, ros-melodic-controller-interface, ros-melodic-controller-manager, ros-melodic-hardware-interface, ros-melodic-pluginlib, ros-melodic-realtime-tools, ros-melodic-roscpp, ros-melodic-trajectory-msgs, ros-melodic-urdf, ros-melodic-xacro
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-gripper-action-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-actionlib, ros-melodic-angles, ros-melodic-cmake-modules, ros-melodic-control-msgs, ros-melodic-control-toolbox, ros-melodic-controller-interface, ros-melodic-controller-manager, ros-melodic-hardware-interface, ros-melodic-pluginlib, ros-melodic-realtime-tools, ros-melodic-roscpp, ros-melodic-trajectory-msgs, ros-melodic-urdf, ros-melodic-xacro
Description: The gripper_action_controller package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-gripper-action-controller//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-gripper-action-controller 0.17.3

=== debian/changelog ===
ros-melodic-gripper-action-controller (0.17.3-1bionic) bionic; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-melodic-gripper-action-controller (0.17.2-1bionic) bionic; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Wed, 20 Jan 2021 00:00:00 -0000

ros-melodic-gripper-action-controller (0.17.1-1bionic) bionic; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sat, 05 Dec 2020 00:00:00 -0000

ros-melodic-gripper-action-controller (0.17.0-1bionic) bionic; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 11 May 2020 23:00:00 -0000

ros-melodic-gripper-action-controller (0.16.1-1bionic) bionic; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sun, 26 Apr 2020 23:00:00 -0000

ros-melodic-gripper-action-controller (0.16.0-1bionic) bionic; urgency=high

  * Bump CMake version to prevent CMP0048
  * Replace header guard with #pragma once
  * Contributors: Matt Reynolds

 -- Sachin Chitta <robot.moveit@gmail.com>  Wed, 15 Apr 2020 23:00:00 -0000

ros-melodic-gripper-action-controller (0.15.1-1bionic) bionic; urgency=high

  * Use nullptr
  * add missing pluginlib deps.
  * Contributors: Bence Magyar, Matt Reynolds, Sean Yen

 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 09 Mar 2020 00:00:00 -0000

ros-melodic-gripper-action-controller (0.15.0-1bionic) bionic; urgency=high

  * Default all controller builds to C++14
  * Use range-based for loops wherever possible
  * boost::shared_ptr -> std::shared_ptr
  * fix install destination for libraries (#403 <https://github.com/ros-controls/ros_controllers/issues/403>)
  * Contributors: Bence Magyar, Gennaro Raiola, James Xu

 -- Sachin Chitta <robot.moveit@gmail.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-melodic-gripper-action-controller (0.14.3-1bionic) bionic; urgency=high

  * Use a copy of the pointer in update() to avoid crash by cancelCB()
  * Contributors: oka

 -- Sachin Chitta <robot.moveit@gmail.com>  Sat, 09 Feb 2019 00:00:00 -0000

ros-melodic-gripper-action-controller (0.14.2-1bionic) bionic; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 22 Oct 2018 23:00:00 -0000

ros-melodic-gripper-action-controller (0.14.1-1bionic) bionic; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 25 Jun 2018 23:00:00 -0000

ros-melodic-gripper-action-controller (0.14.0-1bionic) bionic; urgency=high

  * migrate to new pluginlib headers
  * Contributors: Mathias Lüdtke

 -- Sachin Chitta <robot.moveit@gmail.com>  Thu, 26 Apr 2018 23:00:00 -0000

ros-melodic-gripper-action-controller (0.13.2-1bionic) bionic; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-melodic-gripper-action-controller (0.13.1-1bionic) bionic; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 06 Nov 2017 00:00:00 -0000

ros-melodic-gripper-action-controller (0.13.0-1bionic) bionic; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Wed, 09 Aug 2017 23:00:00 -0000

ros-melodic-gripper-action-controller (0.12.3-1bionic) bionic; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sat, 22 Apr 2017 23:00:00 -0000

ros-melodic-gripper-action-controller (0.12.2-1bionic) bionic; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Thu, 20 Apr 2017 23:00:00 -0000

ros-melodic-gripper-action-controller (0.12.1-1bionic) bionic; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Wed, 08 Mar 2017 00:00:00 -0000

ros-melodic-gripper-action-controller (0.12.0-1bionic) bionic; urgency=high

  * Fix most catkin lint issues
  * Change for format2
  * Add Enrique and Bence to maintainers
  * urdf::Model typedefs had to be added to a different repo first
  * Replace boost::shared_ptr<urdf::XY> with urdf::XYConstSharedPtr when exists
  * Contributors: Bence Magyar

 -- Sachin Chitta <robot.moveit@gmail.com>  Wed, 15 Feb 2017 00:00:00 -0000

ros-melodic-gripper-action-controller (0.11.2-1bionic) bionic; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 15 Aug 2016 23:00:00 -0000

ros-melodic-gripper-action-controller (0.11.1-1bionic) bionic; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sun, 22 May 2016 23:00:00 -0000

ros-melodic-gripper-action-controller (0.11.0-1bionic) bionic; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 02 May 2016 23:00:00 -0000

ros-melodic-gripper-action-controller (0.10.0-1bionic) bionic; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Fri, 20 Nov 2015 00:00:00 -0000

ros-melodic-gripper-action-controller (0.9.2-1bionic) bionic; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sun, 03 May 2015 23:00:00 -0000

ros-melodic-gripper-action-controller (0.9.1-1bionic) bionic; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-melodic-gripper-action-controller (0.9.0-1bionic) bionic; urgency=high

  * Buildsystem fixes
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Lukas Bulwahn

 -- Sachin Chitta <robot.moveit@gmail.com>  Fri, 31 Oct 2014 00:00:00 -0000

ros-melodic-gripper-action-controller (0.8.1-1bionic) bionic; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Thu, 10 Jul 2014 23:00:00 -0000

ros-melodic-gripper-action-controller (0.8.0-1bionic) bionic; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sun, 11 May 2014 23:00:00 -0000

ros-melodic-gripper-action-controller (0.7.2-1bionic) bionic; urgency=high

  * Added missing deps to package.xml
  * Contributors: Scott K Logan

 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 31 Mar 2014 23:00:00 -0000

ros-melodic-gripper-action-controller (0.7.1-1bionic) bionic; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sun, 30 Mar 2014 23:00:00 -0000

ros-melodic-gripper-action-controller (0.7.0-1bionic) bionic; urgency=high

  * gripper_action_controller: New controller for single dof grippers.
  * Contributors: Sachin Chitta.



=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
